/*
 * @(#)src/classes/sov/org/omg/CORBA_2_3/portable/OutputStream.java, orb-api, as131, 20030613 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/* rmi-iiop/src/share/classes/org/omg/CORBA_2_3/portable/OutputStream.java, rr100, rr100 99/05/19 */
/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA_2_3.portable;

// added javadoc comments						/*ibm@4279*/

/**
 * This class contains methods added to the ORB portability <code>OutputStream</code>
 * abstract class by CORBA 2.3.
 */
public abstract class OutputStream extends org.omg.CORBA.portable.OutputStream {

    /**
     * Constructs an <code>OutputStream</code>.
     */
    public OutputStream() {						/*ibm@4318*/
    }

    /**
     * Marshals an IDL or RMI value type to the output stream.
     * @param value the actual value to be marshaled.
     */
    public void write_value(java.io.Serializable value) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Marshals an IDL or RMI value type to the output stream.
     * @param value the actual value to be marshaled.
     * @param clz the Class object for the declared type of the value to be marshaled.
     * This may be different from the actual type to be marshaled, since the
     * <code>value</code> parameter may be an instance of a more derived type.
     */
    public void write_value(java.io.Serializable value, java.lang.Class clz) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Marshals an IDL valuetype to the output stream.
     * @param value the actual value to be marshaled.
     * @param rep_id the RepositoryId for the declared type of the value to be
     * marshaled.  This may be different from the actual type to be marshaled,
     * since the <code>value</code> parameter may be an instance of a more
     * derived type.
     */
    public void write_value(java.io.Serializable value, String rep_id) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Marshals an IDL boxed valuetype to the output stream.
     * @param value the actual value to be marshaled.
     * @param factory the helper instance to be used for marshaling the 
     * boxed valuetype.
     */
    public void write_value(java.io.Serializable value, org.omg.CORBA.portable.BoxedValueHelper factory) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Marshals an IDL or RMI abstract interface type to the output stream.
     * @param obj the actual value or object reference to be marshaled.
     */
    public void write_abstract_interface(java.lang.Object obj) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }
}
